Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 570544 (uclibc-porting) - [TRACKER] sys-libs/uclibc-ng porting
Summary: [TRACKER] sys-libs/uclibc-ng porting
Status: CONFIRMED
Alias: uclibc-porting
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Embedded Gentoo Team
URL:
Whiteboard:
Keywords: Tracker
: 547292 (view as bug list)
Depends on: 457592 470884 517160 519686 543972 544756 550958 554554 559900 561672 573824 585264 587062 600966 619738 619748 621846 622458 630598 633730 768684 768699 768705 801106 254129 273016 424615 430368 446080 455236 458024 461800 467306 470608 475754 477290 477758 486782 490688 506874 512738 512740 512742 516558 522042 522304 523980 527954 528986 542296 543668 544118 544828 547848 549664 553240 554532 554620 555358 556634 557070 557122 557832 557896 560360 561684 562752 565144 566406 567598 567634 568350 568672 570548 570552 570556 574216 574714 575372 577194 577238 577290 577312 580688 584392 584400 584894 587620 591586 594836 605730 608312 619370 619736 619750 CVE-2017-9728, CVE-2017-9729 626546 632650 632654 632658 633714 635006 650908 658726 768678 768690 768693 768702
Blocks:
  Show dependency tree
 
Reported: 2016-01-02 01:20 UTC by Joshua Kinard
Modified: 2021-07-07 22:17 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joshua Kinard gentoo-dev 2016-01-02 01:20:34 UTC
Creating a tracker bug for packages that require fixes/assistance in linking against or running under a uClibc-based userland.

CC'ing MIPS initially, as I'm working to bring uClibc-based stages back into operation for an eventual install netboot.
Comment 1 Anthony Basile gentoo-dev 2016-01-02 01:38:48 UTC
*** Bug 547292 has been marked as a duplicate of this bug. ***
Comment 2 Anthony Basile gentoo-dev 2016-09-28 23:21:54 UTC
Note that uclibc upstream is pretty much dead and I'm migrating to uclibc-ng.  Many of the bugs are common to both so we can track them together here.  However, some are strictly uclibc bugs which are fixed in uclibc-ng.  We can leave those bugs open for now, but if uclibc doesn't have some resurrection in the years to come, we can consider just dropping it altogether from the tree.
Comment 3 Joshua Kinard gentoo-dev 2016-09-29 05:16:02 UTC
(In reply to Anthony Basile from comment #2)
> Note that uclibc upstream is pretty much dead and I'm migrating to
> uclibc-ng.  Many of the bugs are common to both so we can track them
> together here.  However, some are strictly uclibc bugs which are fixed in
> uclibc-ng.  We can leave those bugs open for now, but if uclibc doesn't have
> some resurrection in the years to come, we can consider just dropping it
> altogether from the tree.

It'd probably be easier to just drop sys-libs/uclibc and add it back in the future if it comes alive again versus trying to maintain and/or fix bugs that uclibc-ng has already fixed, especially if any new bugs or security issues arise.
Comment 4 Anthony Basile gentoo-dev 2016-09-29 19:17:25 UTC
(In reply to Joshua Kinard from comment #3)
> (In reply to Anthony Basile from comment #2)
> > Note that uclibc upstream is pretty much dead and I'm migrating to
> > uclibc-ng.  Many of the bugs are common to both so we can track them
> > together here.  However, some are strictly uclibc bugs which are fixed in
> > uclibc-ng.  We can leave those bugs open for now, but if uclibc doesn't have
> > some resurrection in the years to come, we can consider just dropping it
> > altogether from the tree.
> 
> It'd probably be easier to just drop sys-libs/uclibc and add it back in the
> future if it comes alive again versus trying to maintain and/or fix bugs
> that uclibc-ng has already fixed, especially if any new bugs or security
> issues arise.

crossdev doesn't work with uclibc-ng.  There may be other things which also don't work on uclibc-ng.  I'd like to wait a year or so and then 1) mask sys-libs/uclibc and 2) go through all the above bugs and close those which are fixed on uclibc-ng.